Simple Machines Forum Multiple Security Vulnerabilities

Simple Machines Forum (SMF) is prone to multiple security vulnerabilities:

- A remote PHP code-execution vulnerability
- Multiple cross-site scripting vulnerabilities
- Multiple cross-site request-forgery vulnerabilities
- An information-disclosure vulnerability
- Multiple denial-of-service vulnerabilities

Attackers can exploit these issues to execute arbitrary script code within the context of the webserver, perform unauthorized actions on behalf of legitimate users, compromise the affected application, steal cookie-based authentication credentials, obtain information that could aid in further attacks, or cause denial-of-service conditions.

Note that some of these issues may already be described in other BIDs. We will update this BID if further analysis confirms this.

These issues affect SMF 2.0 RC2. Some of these issues also affect SMF 1.1.10.


 

Privacy Statement
Copyright 2010, SecurityFocus